Subject: Ticket Assigned - Order No. 9644357430
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 25 Mar 2021 08:56:55 +0000

Hi Alka Pandey,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order No. 9644357430 Dear Home Box Rep.,

My order delivered yesterday in front of my door even they didn't call me
or check with regarding the confirmation and when i see and check the items
two items missing (Emily Adjustable Curtain Rod 210-400cms). I make this
purchase because of that item so you can understand my feeling without that
item my order delivered. I want this item by today because my family is
coming today evening before that i want to fix that one.

After that i called today morning 9.05am i called your customer care i can
tell the worst experience in my life from a customercare. i told her my
complaint and she cut my call not hearing me fully.

I believe you will give me an appropriate answer

Regards,
Mohammed Ajmal
0563005934

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2299580